import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiHttpBehaviorsBuilder extends SmzBuilderUtilities<SmzUiHttpBehaviorsBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder);
    useErrorToastNotifications(): SmzUiHttpBehaviorsBuilder;
    get builder(): SmzUiBuilder;
}
